<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMItemOptionViewBase from './emitem-option-view-base.vue';

import view_form from '@widgets/emitem/quick-create-form/quick-create-form.vue';

/**
 * 物品选项操作视图
 *
 * @export
 * @class EMItemOptionView
 * @extends {EMItemOptionViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMItemOptionView extends EMItemOptionViewBase { }
</script>